org.eclipse.viatra.query.tooling.ui.queryexplorer

## Class AbstractBackendSelectionControl

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.jface.action.ControlContribution
    - - org.eclipse.ui.internal.menus.InternalControlContribution
      - - org.eclipse.ui.menus.WorkbenchWindowControlContribution
        - - org.eclipse.viatra.query.tooling.ui.queryexplorer.AbstractBackendSelectionControl

- All Implemented Interfaces:
    org.eclipse.jface.action.IContributionItem
  Direct Known Subclasses:
    BackendSelectionControl

      public abstract class AbstractBackendSelectionControl
      extends org.eclipse.ui.menus.WorkbenchWindowControlContribution

  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBackendSelectionControl()`
    `AbstractBackendSelectionControl(java.lang.String id)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.swt.widgets.Control` | `createControl(org.eclipse.swt.widgets.Composite parent)`
    `protected abstract QueryEvaluationHint` | `getHints()`
    `protected abstract void` | `setHints(QueryEvaluationHint newHint)`

    - ### Methods inherited from class org.eclipse.ui.menus.WorkbenchWindowControlContribution

      `delegateCreateControl, getCurSide, getOrientation, getWorkbenchWindow`

    - ### Methods inherited from class org.eclipse.ui.internal.menus.InternalControlContribution

      `setCurSide, setWorkbenchWindow`

    - ### Methods inherited from class org.eclipse.jface.action.ControlContribution

      `computeWidth, fill, fill, fill`

    - ### Methods inherited from class org.eclipse.jface.action.ContributionItem

      `dispose, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBackendSelectionControl

          public AbstractBackendSelectionControl()

    - #### AbstractBackendSelectionControl

          public AbstractBackendSelectionControl(java.lang.String id)

  - ### Method Detail

    - #### getHints

          protected abstract QueryEvaluationHint getHints()

    - #### setHints

          protected abstract void setHints(QueryEvaluationHint newHint)

    - #### createControl

          protected org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

      Specified by:
        `createControl` in class `org.eclipse.jface.action.ControlContribution`